 package nc.vo.sscpfa.pfareport.report;
 
 import java.util.ArrayList;
 import java.util.Collection;
 import nc.pub.smart.metadata.Field;
 import nc.pub.smart.metadata.MetaData;
 import nc.vo.ml.AbstractNCLangRes;
 import nc.vo.ml.NCLangRes4VoTransl;
 import nc.vo.pub.ValidationException;
 import nc.vo.pub.ValueObject;

 public class SSCUserOprationReportVO
   extends ValueObject
 {
   private static final long serialVersionUID = -6843276481395891150L;
   private String pk_workinggroup;
   private String pk_workinggroup_code;
   private String pk_workinggroup_name;
   private String pk_user;
   private String pk_user_name;
   private int pre_sscapprove;
   private int pre_sscreject;
   private int pre_sscrejected;
   private String pre_deal_time;
   private String pre_avg_deal_time;
   private String pre_sscreject_rate;
   private int cur_sscapprove;
   private int cur_sscreject;
   private int cur_sscrejected;
   private String cur_deal_time;
   private String cur_avg_deal_time;
   private String cur_sscreject_rate;
   private String change_sscapprove;
   private String change_sscreject;
   private String change_sscrejected;
   private String change_deal_time;
   private String change_avg_deal_time;
   private String change_sscreject_rate;
   // add by dujunlong 20220417 start - 在原有的基础上添加一个字段
   private String pk_user_code;
   // add by dujunlong 20220417 end 
   
   public static final String PK_WORKINGGROUP = "pk_workinggroup";
   public static final String PK_WORKINGGROUP_CODE = "pk_workinggroup_code";
   public static final String PK_WORKINGGROUP_NAME = "pk_workinggroup_name";
   public static final String PK_USER = "pk_user";
   public static final String PK_USER_NAME = "pk_user_name";
   public static final String PRE_SSCAPPROVE = "pre_sscapprove";
   public static final String PRE_SSCREJECT = "pre_sscreject";
   public static final String PRE_SSCREJECTED = "pre_sscrejected";
   public static final String PRE_DEAL_TIME = "pre_deal_time";
   public static final String PRE_AVG_DEAL_TIME = "pre_avg_deal_time";
   public static final String PRE_SSCREJECT_RATE = "pre_sscreject_rate";
   public static final String CUR_SSCAPPROVE = "cur_sscapprove";
   public static final String CUR_SSCREJECT = "cur_sscreject";
   public static final String CUR_SSCREJECTED = "cur_sscrejected";
   public static final String CUR_DEAL_TIME = "cur_deal_time";
   public static final String CUR_AVG_DEAL_TIME = "cur_avg_deal_time";
   public static final String CUR_SSCREJECT_RATE = "cur_sscreject_rate";
   public static final String CHANGE_SSCAPPROVE = "change_sscapprove";
   public static final String CHANGE_SSCREJECT = "change_sscreject";
   public static final String CHANGE_SSCREJECTED = "change_sscrejected";
   public static final String CHANGE_DEAL_TIME = "change_deal_time";
   public static final String CHANGE_AVG_DEAL_TIME = "change_avg_deal_time";
   public static final String CHANGE_SSCREJECT_RATE = "change_sscreject_rate";
   // add by dujunlong 20220417 start  -  在原有的基础上添加一个字段
// public static int TOTAL_COLUMN_COUNT = 23;
   public static int TOTAL_COLUMN_COUNT = 24;
   public static final String PK_USER_CODE = "pk_user_code";
   // add by dujunlong 20220417 end 
   
   
   public SSCUserOprationReportVO() {}
   
   public String getEntityName() { return null; }
   
 
   public void validate()
     throws ValidationException
   {}
   
   public static MetaData getMetaData()
   {
     MetaData metaData = new MetaData();
     
     Field field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0057"));
     field.setDbColumnType(12);
     field.setFldname("pk_workinggroup");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0082"));
     field.setDbColumnType(12);
     field.setFldname("pk_workinggroup_code");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0083"));
     field.setDbColumnType(12);
     field.setFldname("pk_workinggroup_name");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0084"));
     field.setDbColumnType(12);
     field.setFldname("pk_user");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0085"));
     field.setDbColumnType(12);
     field.setFldname("pk_user_name");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0086"));
     field.setDbColumnType(4);
     field.setFldname("pre_sscapprove");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0087"));
     field.setDbColumnType(4);
     field.setFldname("pre_sscreject");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0088"));
     field.setDbColumnType(4);
     field.setFldname("pre_sscrejected");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0089"));
     field.setDbColumnType(8);
     field.setFldname("pre_deal_time");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0090"));
     field.setDbColumnType(8);
     field.setFldname("pre_avg_deal_time");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0091"));
     field.setDbColumnType(12);
     field.setFldname("pre_sscreject_rate");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0086"));
     field.setDbColumnType(4);
     field.setFldname("cur_sscapprove");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0087"));
     field.setDbColumnType(4);
     field.setFldname("cur_sscreject");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0088"));
     field.setDbColumnType(4);
     field.setFldname("cur_sscrejected");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0089"));
     field.setDbColumnType(8);
     field.setFldname("cur_deal_time");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0090"));
     field.setDbColumnType(8);
     field.setFldname("cur_avg_deal_time");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0091"));
     field.setDbColumnType(12);
     field.setFldname("cur_sscreject_rate");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0086"));
     field.setDbColumnType(12);
     field.setFldname("change_sscapprove");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0087"));
     field.setDbColumnType(12);
     field.setFldname("change_sscreject");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0088"));
     field.setDbColumnType(12);
     field.setFldname("change_sscrejected");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0089"));
     field.setDbColumnType(12);
     field.setFldname("change_deal_time");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0090"));
     field.setDbColumnType(12);
     field.setFldname("change_avg_deal_time");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     field = new Field();
     field.setCaption(NCLangRes4VoTransl.getNCLangRes().getStrByID("7035001_0", "07035001-0091"));
     field.setDbColumnType(12);
     field.setFldname("change_sscreject_rate");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     
     // add by dujunlong 20220417 start  -  在原有的基础上添加一个字段
     field = new Field();
     field.setCaption("作业人员BIP");
     field.setDbColumnType(12);
     field.setFldname("pk_user_code");
     field.setPrecision(250);
     metaData.addField(new Field[] { field });
     // add by dujunlong 20220417 end 

     
     return metaData;
   }
   
 
   public static Object[][] toDataSet(Collection<SSCUserOprationReportVO> data)
   {
     Collection<Object[]> dataSetList = new ArrayList(data.size());
     for (SSCUserOprationReportVO vo : data) {
       int index = 0;
       Object[] rowdata = new Object[TOTAL_COLUMN_COUNT];
       rowdata[(index++)] = vo.getPk_workinggroup();
       rowdata[(index++)] = vo.getPk_workinggroup_code();
       rowdata[(index++)] = vo.getPk_workinggroup_name();
       rowdata[(index++)] = vo.getPk_user();
       rowdata[(index++)] = vo.getPk_user_name();
       rowdata[(index++)] = Integer.valueOf(vo.getPre_sscapprove());
       rowdata[(index++)] = Integer.valueOf(vo.getPre_sscreject());
       rowdata[(index++)] = Integer.valueOf(vo.getPre_sscrejected());
       rowdata[(index++)] = vo.getPre_deal_time();
       rowdata[(index++)] = vo.getPre_avg_deal_time();
       rowdata[(index++)] = vo.getPre_sscreject_rate();
       
       rowdata[(index++)] = Integer.valueOf(vo.getCur_sscapprove());
       rowdata[(index++)] = Integer.valueOf(vo.getCur_sscreject());
       rowdata[(index++)] = Integer.valueOf(vo.getCur_sscrejected());
       rowdata[(index++)] = vo.getCur_deal_time();
       rowdata[(index++)] = vo.getCur_avg_deal_time();
       rowdata[(index++)] = vo.getCur_sscreject_rate();
       
       rowdata[(index++)] = vo.getChange_sscapprove();
       rowdata[(index++)] = vo.getChange_sscreject();
       rowdata[(index++)] = vo.getChange_sscrejected();
       rowdata[(index++)] = vo.getChange_deal_time();
       rowdata[(index++)] = vo.getChange_avg_deal_time();
       rowdata[(index++)] = vo.getChange_sscreject_rate();
       // add by dujunlong 20220417 start  -  在原有的基础上添加一个字段
       rowdata[(index++)] = vo.getPk_user_code();
       // add by dujunlong 20220417 end 
       
       dataSetList.add(rowdata);
     }
     return (Object[][])dataSetList.toArray(new Object[dataSetList.size() == 0 ? 1 : dataSetList.size()][]);
   }
   
   public String getPk_workinggroup() {
     return this.pk_workinggroup;
   }
   
   public void setPk_workinggroup(String pk_workinggroup) {
     this.pk_workinggroup = pk_workinggroup;
   }
   
   public String getPk_workinggroup_code() {
     return this.pk_workinggroup_code;
   }
   
   public void setPk_workinggroup_code(String pk_workinggroup_code) {
     this.pk_workinggroup_code = pk_workinggroup_code;
   }
   
   public String getPk_workinggroup_name() {
     return this.pk_workinggroup_name;
   }
   
   public void setPk_workinggroup_name(String pk_workinggroup_name) {
     this.pk_workinggroup_name = pk_workinggroup_name;
   }
   
   public String getPk_user() {
     return this.pk_user;
   }
   
   public void setPk_user(String pk_user) {
     this.pk_user = pk_user;
   }
   
   public String getPk_user_name() {
     return this.pk_user_name;
   }
   
   public void setPk_user_name(String pk_user_name) {
     this.pk_user_name = pk_user_name;
   }
   
   public int getPre_sscapprove() {
     return this.pre_sscapprove;
   }
   
   public void setPre_sscapprove(int pre_sscapprove) {
     this.pre_sscapprove = pre_sscapprove;
   }
   
   public int getPre_sscreject() {
     return this.pre_sscreject;
   }
   
   public void setPre_sscreject(int pre_sscreject) {
     this.pre_sscreject = pre_sscreject;
   }
   
   public int getPre_sscrejected() {
     return this.pre_sscrejected;
   }
   
   public void setPre_sscrejected(int pre_sscrejected) {
     this.pre_sscrejected = pre_sscrejected;
   }
   
   public String getPre_deal_time() {
     return this.pre_deal_time;
   }
   
   public void setPre_deal_time(String pre_deal_time) {
     this.pre_deal_time = pre_deal_time;
   }
   
   public String getPre_avg_deal_time() {
     return this.pre_avg_deal_time;
   }
   
   public void setPre_avg_deal_time(String pre_avg_deal_time) {
     this.pre_avg_deal_time = pre_avg_deal_time;
   }
   
   public String getPre_sscreject_rate() {
     return this.pre_sscreject_rate;
   }
   
   public void setPre_sscreject_rate(String pre_sscreject_rate) {
     this.pre_sscreject_rate = pre_sscreject_rate;
   }
   
   public int getCur_sscapprove() {
     return this.cur_sscapprove;
   }
   
   public void setCur_sscapprove(int cur_sscapprove) {
     this.cur_sscapprove = cur_sscapprove;
   }
   
   public int getCur_sscreject() {
     return this.cur_sscreject;
   }
   
   public void setCur_sscreject(int cur_sscreject) {
     this.cur_sscreject = cur_sscreject;
   }
   
   public int getCur_sscrejected() {
     return this.cur_sscrejected;
   }
   
   public void setCur_sscrejected(int cur_sscrejected) {
     this.cur_sscrejected = cur_sscrejected;
   }
   
   public String getCur_deal_time() {
     return this.cur_deal_time;
   }
   
   public void setCur_deal_time(String cur_deal_time) {
     this.cur_deal_time = cur_deal_time;
   }
   
   public String getCur_avg_deal_time() {
     return this.cur_avg_deal_time;
   }
   
   public void setCur_avg_deal_time(String cur_avg_deal_time) {
     this.cur_avg_deal_time = cur_avg_deal_time;
   }
   
   public String getCur_sscreject_rate() {
     return this.cur_sscreject_rate;
   }
   
   public void setCur_sscreject_rate(String cur_sscreject_rate) {
     this.cur_sscreject_rate = cur_sscreject_rate;
   }
   
   public String getChange_sscapprove()
   {
     return this.change_sscapprove;
   }
   
   public void setChange_sscapprove(String change_sscapprove) {
     this.change_sscapprove = change_sscapprove;
   }
   
   public String getChange_sscreject() {
     return this.change_sscreject;
   }
   
   public void setChange_sscreject(String change_sscreject) {
     this.change_sscreject = change_sscreject;
   }
   
   public String getChange_sscrejected() {
     return this.change_sscrejected;
   }
   
   public void setChange_sscrejected(String change_sscrejected) {
     this.change_sscrejected = change_sscrejected;
   }
   
   public String getChange_deal_time() {
     return this.change_deal_time;
   }
   
   public void setChange_deal_time(String change_deal_time) {
     this.change_deal_time = change_deal_time;
   }
   
   public String getChange_avg_deal_time() {
     return this.change_avg_deal_time;
   }
   
   public void setChange_avg_deal_time(String change_avg_deal_time) {
     this.change_avg_deal_time = change_avg_deal_time;
   }
   
   public String getChange_sscreject_rate() {
     return this.change_sscreject_rate;
   }
   
   public void setChange_sscreject_rate(String change_sscreject_rate) {
     this.change_sscreject_rate = change_sscreject_rate;
   }

   // add by dujunlong 20220417 start  -  在原有的基础上添加一个字段
   public String getPk_user_code() {
		return pk_user_code;
	}

	public void setPk_user_code(String pk_user_code) {
		this.pk_user_code = pk_user_code;
	}
   // add by dujunlong 20220417 end 
   
   
 }
